﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace CaspitWebTiles.Api.Models
{
    /// <summary>
    /// A base type that is extended to be one of: CaspitContact,
    /// CaspitDocument, CaspitProduct, CaspitExpense, CaspitCurrency, 
    /// CaspitVatRate, CaspitLog
    /// </summary>
    [DataContract(Namespace = "http://www.caspit.biz/2013/03")]
    [KnownType(typeof(CaspitContact))]
    [KnownType(typeof(CaspitDocument))]
    [KnownType(typeof(CaspitProduct))]
    [KnownType(typeof(CaspitExpense))]
    [KnownType(typeof(CaspitCurrency))]
    [KnownType(typeof(CaspitVatRate))]
    [KnownType(typeof(CaspitLog))]
    public class CaspitBase
    {
    }
}
