﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace CaspitWebTiles.Api.Models
{
    /// <summary>
    /// A list of ApiGlobals.TrxTypes and the last document number of each
    /// </summary>
    [DataContract(Namespace = "http://www.caspit.biz/2013/03")]
    public class LastDocumentsNumbers : CaspitBase
    {
        [DataMember, Required]
        public virtual DateTime DateCreated { get; set; }

        /// <summary>
        /// A list containg basic detials for the last document of each TrxType in Caspit
        /// </summary>
        [DataMember, Required]
        public virtual List<LastDocumentsNumbersData> LastNumbers { get; set; }
    }
}
