﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using System.Runtime.Serialization;

namespace CaspitWebTiles.Api.Models
{
    [DataContract(Namespace = "http://www.caspit.biz/2013/03")]
    public class EmailDetails
    {
        /// <summary>
        /// The mail's subject
        /// </summary>
        [DataMember, DefaultValue(null)]
        public string Subject { get; set; }

        /// <summary>
        /// The mail's HTML body
        /// </summary>
        [DataMember, DefaultValue(null)]
        public string Body { get; set; }

        /// <summary>
        /// The mail's To address. Either a single address or a comma seperated list.
        /// If you leave empty then Caspit will use the mail address specified in the document and if this address is empty then the customer's email address.
        /// </summary>
        [DataMember, DefaultValue(null)]
        public string To { get; set; }

        /// <summary>
        /// The mail's CC address. Either a single address or a comma seperated list.
        /// </summary>
        [DataMember, DefaultValue(null)]
        public string CC { get; set; }

        /// <summary>
        /// The mail's BCC address. Either a single address or a comma seperated list.
        /// </summary>
        [DataMember, DefaultValue(null)]
        public string BCC { get; set; }
    }
}
